> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new page

> Create a new page.

export const ScopesList = ({scopes = [], description = "この API には、次のいずれかのスコープが必要です。"}) => {
  if (!scopes || scopes.length === 0) {
    return null;
  }
  const sortedScopes = scopes.sort((a, b) => a.localeCompare(b));
  return <div>
      <div className="text-sm mb-2">{description}</div>
      <div>
        {sortedScopes.map((scope, index) => <div key={index}>
            <code>
              <span className="text-xs">{scope}</span>
            </code>
          </div>)}
      </div>
    </div>;
};

<Accordion title="Scope requirements">
  <ScopesList scopes={['content']} />
</Accordion>


## OpenAPI

````yaml specs/legacy/v2/pages-v2.json POST /content/api/v2/pages
openapi: 3.0.1
info:
  title: Pages API
  description: Use the pages API to create and manage website pages in HubSpot CMS.
  version: v2
servers:
  - url: https://api.hubapi.com
security: []
tags:
  - name: Pages
paths:
  /content/api/v2/pages:
    post:
      tags:
        - Pages
      summary: Create a new page
      description: Create a new page.
      operationId: createPage
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  description: The internal name of the page
                slug:
                  type: string
                  description: The path of the URL on which the page will live
                subcategory:
                  type: string
                  description: >-
                    Set to 'landing_page' for landing pages, or 'site_page' for
                    site pages
            examples:
              create_page:
                summary: Create a new page with template
                value:
                  name: My API Page
                  template_path: >-
                    hubspot_default/landing_page/basic_with_form/2_col_form_left.html
      responses:
        '201':
          description: Successfully created
          content:
            application/json:
              schema:
                type: object

````